Phoca-Extensions with PHP 8

General Forum
Elwood
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 20 Jan 2021, 19:03

Phoca-Extensions with PHP 8

Post by Elwood » 20 Jan 2021, 19:14

Hi Jan,

Christine told me at the joomla.forum you would like to have the error messages.
Using Joomla 3.9.24, Phoca Download 3.2.2 and Phoca Gallery 4.4.0. PHP 8.0

Get these messages for Phoca Download:

Code: Select all

Deprecated: Required parameter $link follows optional parameter $view in \administrator\components\com_phocadownload\libraries\phocadownload\render\renderfront.php on line 42

Deprecated: Required parameter $title follows optional parameter $view in \administrator\components\com_phocadownload\libraries\phocadownload\render\renderfront.php on line 42

Deprecated: Required parameter $target follows optional parameter $view in \administrator\components\com_phocadownload\libraries\phocadownload\render\renderfront.php on line 42

Deprecated: Required parameter $title follows optional parameter $item in \administrator\components\com_phocadownload\libraries\phocadownload\render\renderfront.php on line 290

Deprecated: Required parameter $rightUsers follows optional parameter $rightType in \administrator\components\com_phocadownload\libraries\phocadownload\access\access.php on line 62
And these massages in Phoca Gallery:

Code: Select all

Deprecated: Required parameter $currentId follows optional parameter $id in \components\com_phocagallery\models\categories.php on line 158

Deprecated: Required parameter $rightUsers follows optional parameter $rightType in \administrator\components\com_phocagallery\libraries\phocagallery\access\access.php on line 50

Deprecated: Required parameter $errorMsg follows optional parameter $frontUpload in \administrator\components\com_phocagallery\libraries\phocagallery\file\filethumbnail.php on line 507
Phoca Maps 3.0.11 works fine.

Hope it helps.

User avatar
Benno
Phoca Hero
Phoca Hero
Posts: 7828
Joined: 04 Dec 2008, 11:58
Location: Germany
Contact:

Re: Phoca-Extensions with PHP 8

Post by Benno » 20 Jan 2021, 23:13

Grüß Dich Timo! :)

LG,
Benno

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Phoca-Extensions with PHP 8

Post by Jan » 21 Jan 2021, 12:51

Hallo, danke sehr für Info.

Ich werde es in nächster Version ändern.

Danke, Jan
If you find Phoca extensions useful, please support the project

Elwood
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 20 Jan 2021, 19:03

Re: Phoca-Extensions with PHP 8

Post by Elwood » 22 Jan 2021, 19:47

Benno wrote:
20 Jan 2021, 23:13
Grüß Dich Timo! :)
Hallo Benno,
hab euch hier eigentlich nie gebraucht, bis PHP 8 kam.
Jan wrote:
21 Jan 2021, 12:51
Hallo, danke sehr für Info.
Ich werde es in nächster Version ändern.
Danke, Jan
Hallo Jan,
vielen Dank!
Freu mich schon auf das Testen!

Elwood
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 20 Jan 2021, 19:03

Re: Phoca-Extensions with PHP 8

Post by Elwood » 04 Feb 2021, 20:04

Hallo Phoca-Team!
Ich hänge mich mal mit Phoca Cart und PHP 8 hier ran. Ansonsten verschieben.
Ich hoffe Deutsch ist ok für Euch.

Teste hier also Phoca Cart mit Xampp-Version PHP 8.0.1

Bin ja von Haus aus faul. Deshalb wollte ich die Demodaten für Phoca Cart installieren.
Da bekam ich aber eine Fehlermeldung. Vermute das sie noch nicht PHP 8-Ready ist (2016):

Code: Select all

Fatal error: Array and string offset access syntax with curly braces is no longer supported in C:\xampp\htdocs\phoca\administrator\components\com_phocainstall\controllers\phocainstallinstall.php on line 71
Aufgefallen ist mir auch das Menü. Wird bei 17'' und 21''-Bildschirmen oben abgeschnitten:
(Kein keine Bilder hier einfügen)

Also schriftlich: Beim Öffnen 'Komponente-Phoca Cart' wird die Auswahl oben abgeschnitten. Letzte Sicht ist 'Bestellungen'.

Beim Anlegen des Menüpunkt 'Produkt Ansicht (Produkt-Layout)' habe ich keine Werte bei 'Produkt wählen' und 'Kategorie'
Muss sie händisch eingeben.

christine
Phoca Hero
Phoca Hero
Posts: 2205
Joined: 28 Nov 2010, 17:20

Re: Phoca-Extensions with PHP 8

Post by christine » 04 Feb 2021, 20:27

Hallo Timo,
Elwood wrote:
04 Feb 2021, 20:04
Hallo Phoca-Team!
Ich hänge mich mal mit Phoca Cart und PHP 8 hier ran. Ansonsten verschieben.
Ich hoffe Deutsch ist ok für Euch.
wunderbar. Deutsch ist OK. :-)
Teste hier also Phoca Cart mit Xampp-Version PHP 8.0.1

Bin ja von Haus aus faul. Deshalb wollte ich die Demodaten für Phoca Cart installieren.
Du bist einer unserer fähigsten Supporter drüben. 8)
Da bekam ich aber eine Fehlermeldung. Vermute das sie noch nicht PHP 8-Ready ist (2016):

Code: Select all

Fatal error: Array and string offset access syntax with curly braces is no longer supported in C:\xampp\htdocs\phoca\administrator\components\com_phocainstall\controllers\phocainstallinstall.php on line 71
wird Jan begucken.
Aufgefallen ist mir auch das Menü. Wird bei 17'' und 21''-Bildschirmen oben abgeschnitten:
(Kein keine Bilder hier einfügen)
https://www.phoca.cz/documents/50-phoca ... forum-post
Also schriftlich: Beim Öffnen 'Komponente-Phoca Cart' wird die Auswahl oben abgeschnitten. Letzte Sicht ist 'Bestellungen'.

Beim Anlegen des Menüpunkt 'Produkt Ansicht (Produkt-Layout)' habe ich keine Werte bei 'Produkt wählen' und 'Kategorie'
Muss sie händisch eingeben.
Jan wird Dich eventuell fragen: Welches Template?

Liebe Grüße
Christine

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Phoca-Extensions with PHP 8

Post by Jan » 05 Feb 2021, 00:57

Hallo, welche Phoca Cart Version hast du getestet?

Jan
If you find Phoca extensions useful, please support the project

christine
Phoca Hero
Phoca Hero
Posts: 2205
Joined: 28 Nov 2010, 17:20

Re: Phoca-Extensions with PHP 8

Post by christine » 05 Feb 2021, 13:33

Hallo Jan,

nehme an, siehe hier: https://forum.joomla.de/thread/2712-pho ... #post83769
und #35

Liebe Grüße
Christine

Elwood
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 20 Jan 2021, 19:03

Re: Phoca-Extensions with PHP 8

Post by Elwood » 05 Feb 2021, 19:39

christine wrote:
05 Feb 2021, 13:33
nehme an, siehe hier: https://forum.joomla.de/thread/2712-pho ... #post83769
und #35
So ist es:

- Xampp PHP 8.0.1
- Joomla 3.9.24
- Template Protostar
- Phoca Cart 3.5.5
- Phoca Cart Demo Data 7

Werde die Seite die Tage mal auf den Testserver hochschieben.
Dann könnt's ihr euch anschauen! :-)

christine
Phoca Hero
Phoca Hero
Posts: 2205
Joined: 28 Nov 2010, 17:20

Re: Phoca-Extensions with PHP 8

Post by christine » 05 Feb 2021, 20:07

Elwood wrote:
05 Feb 2021, 19:39

- Xampp PHP 8.0.1
- Joomla 3.9.24
- Template Protostar
- Phoca Cart 3.5.5
- Phoca Cart Demo Data 7
Protostar: Hmmm. Nix gut, weil ist BS2 und die Phoca Cart Templates bzw. CSSen mind. auf BS3/4 basieren.
Werde die Seite die Tage mal auf den Testserver hochschieben.
Dann könnt's ihr euch anschauen! :-)
wunderbar :-)

Liebe Grüße
Christine

Post Reply